package com.elitesland.metadata.repo;

import com.elitesland.metadata.entity.MetaCatTableDO;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.querydsl.QuerydslPredicateExecutor;
import org.springframework.stereotype.Repository;

import java.util.Optional;

/**
 * <pre>作用说明</pre>
 *
 * @author mir
 * @date 11/29/2020 12:20 AM
 */
@Repository
public interface MetaCatTableRepo extends JpaRepository<MetaCatTableDO, Long>, QuerydslPredicateExecutor<MetaCatTableDO> {

    Optional<MetaCatTableDO> findByDefCode(String defCode);
}
