package com.elitesland.metadata.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * <pre>作用说明</pre>
 *
 * @author mir
 * @date 11/29/2020 12:33 AM
 */
@Data
@ApiModel("元数据-自选分类表定义")
public class MetaCatTableVO implements Serializable {

    private static final long serialVersionUID = 1109153634553810695L;

    @ApiModelProperty("记录ID")
    Long id;

    @ApiModelProperty(value = "定义码")
    String defCode;

    @ApiModelProperty(value = "定义名称")
    String defName;

    @ApiModelProperty(value = "数据库表名")
    String tableName;
}
