package com.elitesland.system.entity;

import com.elitesland.system.vo.SysPermissionVO;
import com.elitesland.system.vo.SysRoleVO;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Map;
import java.util.Set;

@EqualsAndHashCode(callSuper = true)
@Data
@Accessors(chain = true)
public class SysUserDTO extends SysUserDO {
    private static final long serialVersionUID = -307368107814607072L;

    Set<SysRoleVO> roles;

    Map<Long, Set<SysPermissionVO>> permissions;
}
