package com.elitesland.metadata.repo;

import com.elitesland.metadata.entity.MetaFieldDO;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.querydsl.QuerydslPredicateExecutor;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Optional;

/**
 * <pre>作用说明</pre>
 *
 * @author mir
 * @date 2020-11-21 02:28:17
 */
@Repository
public interface MetaFieldRepo extends JpaRepository<MetaFieldDO, Long>, QuerydslPredicateExecutor<MetaFieldDO> {

    Optional<MetaFieldDO> findByFieldCode(String fieldCode);

    List<MetaFieldDO> findAllByIdIn(List<Long> ids);
}
