package com.elitesland.org.param;

import com.elitesland.core.base.param.AbstractOrderQueryParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

@EqualsAndHashCode(callSuper = true)
@Data
@Accessors(chain = true)
@ApiModel("岗位查询条件对象")
public class OrgPostQParam extends AbstractOrderQueryParam {

    private static final long serialVersionUID = 5757632743143643048L;

    @ApiModelProperty("岗位编码")
    String postCode;

    @ApiModelProperty("岗位名称")
    String postName;

    @ApiModelProperty("岗位权重-起")
    Integer postWeightS;

    @ApiModelProperty("岗位权重-至")
    Integer postWeightE;
}
