package com.elitesland.org.repo;

import com.elitesland.org.entity.EmployeeTagRefDO;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.querydsl.QuerydslPredicateExecutor;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface EmployeeTagRefRepo extends JpaRepository<EmployeeTagRefDO, Long>, QuerydslPredicateExecutor<EmployeeTagRefDO> {

    List<EmployeeTagRefDO> findAllByTagName(String tagName);

    List<EmployeeTagRefDO> findAllByEmployeeId(Long employeeId);

    List<EmployeeTagRefDO> findAllByEmployeeIdIn(List<Long> employeeIds);

}
