package com.elitesland.org.service;

import com.elitesland.core.base.PagingVO;
import com.elitesland.org.param.OrgPostQParam;
import com.elitesland.org.vo.OrgPostVO;

import java.util.List;
import java.util.Optional;

public interface OrgPostService {

    PagingVO<OrgPostVO> search(OrgPostQParam param);

    List<OrgPostVO> listAll();

    List<OrgPostVO> listByIds(List<Long> ids);

    Optional<OrgPostVO> oneById(Long id);

    Optional<OrgPostVO> oneByCode(String code);

    Long create(OrgPostVO post);

    void update(OrgPostVO post);

    void removeByIds(List<Long> ids);
}
